\draw (24,50) node [align=left] {$\displaystyle C_2$};

%1 карта
\linetableone  { }{ }{1}{1}
\linetabletwo  { }{ }{1}{1}
\linetablethree{ }{1}{ }{1}
\linetablefour { }{1}{ }{1}

%2 карта
\linetablefive  {1}{1}{ }{ }
\linetablesix   {1}{1}{ }{ }
\linetableseven {1}{ }{ }{ }
\linetableeight {1}{ }{1}{ }

%3 карта
\linetablenine  { }{ }{1}{1}
\linetableten   { }{ }{ }{ }
\linetableeleven{ }{ }{1}{ }
\linetabletwelve{ }{1}{ }{1}

%4 карта
\linetablethirteen{1}{1}{ }{ }
\linetablefourteen{ }{ }{1}{1}
\linetablefifteen { }{1}{ }{1}
\linetablesixteen {1}{ }{ }{ }

%(̅X₀ & X₁ & ̅X₂ & ̅X₄) V (X₁ & ̅X₂ & ̅X₃ & ̅X₄) V (̅X₀ & X₁ & ̅X₄ & ̅X₅) V (X₁ & ̅X₃ & ̅X₄ & ̅X₅) V (̅X₁ & ̅X₃ & X₄ & ̅X₅) V (̅X₁ & ̅X₂ & ̅X₃ & X₄) V (̅X₀ & ̅X₁ & ̅X₂ & X₄) V (̅X₀ & ̅X₁ & X₄ & ̅X₅) V (̅X₀ & X₁ & X₂ & ̅X₃ & X₄ & X₅) V (X₀ & ̅X₁ & X₂ & ̅X₃ & ̅X₄ & X₅) V (X₀ & ̅X₁ & X₂ & X₃ & X₄ & X₅) V (X₀ & X₁ & ̅X₂ & X₃ & X₄) V (X₀ & X₁ & X₃ & X₄ & ̅X₅) V (X₀ & X₁ & X₂ & X₃ & ̅X₄ & X₅) V (̅X₀ & ̅X₁ & X₂ & ̅X₄ & X₅)
\draw (366,155) node  [align=left] {$\displaystyle C_{2} =\begin{Bmatrix}
    010x0x \\
    x1000x \\
    001x01 \\
    01xx00 \\
    x1x000 \\
    x0x010 \\
    x0001x \\
    000x1x \\
    00xx10 \\
    011011 \\
    101001 \\
    101111 \\
    11011x \\
    11x110 \\
    111101
    \end{Bmatrix}$\\
    $S_a^{C_2} = 71,S_b^{c_2} = 86$
};

\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (214,65) -- (248.25,65) -- (248.25,97.5) -- (214,97.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ]   (247,54.5) -- (247,78) -- (215.73,78) -- (215.73,56) -- (199.72,56) -- (199.72,187.69) -- (216.32,187.69) -- (216.32,208.22) -- (247.13,208.22) -- (247.13,184.88) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (104,105) -- (118.25,105) -- (118.25,138) -- (104,138) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (214,64) -- (228.25,64) -- (228.25,139) -- (214,139) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ]   (205.5,63) -- (226.11,63) -- (226.11,77) -- (206.75,77) -- (206.75,124) -- (228.1,124) -- (228.1,137.54) -- (207.23,137.54) -- (207.23,194.03) -- (226.18,194.03) -- (226.18,206.94) -- (207.2,206.94) -- (207.2,252.96) -- (228.66,252.96) -- (228.66,269.26) -- (207.52,269.26) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (124,65) -- (158.25,65) -- (158.25,97.5) -- (124,97.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (144,64) -- (158.25,64) -- (158.25,139) -- (144,139) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ]   (167.5,63.5) -- (143.25,63.5) -- (143.25,78.65) -- (166.98,78.65) -- (166.98,124.61) -- (145.73,124.61) -- (145.73,138.04) -- (168.03,138.04) -- (168.03,193.02) -- (143.5,193.02) -- (143.5,208.91) -- (168.27,208.91) -- (168.27,254.07) -- (145.83,254.07) -- (145.83,268.61) -- (169,268.61) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ]   (123.5,55) -- (123.5,77.76) -- (156.8,77.76) -- (156.8,54.45) -- (169.79,54.45) -- (169.79,184.48) -- (158.66,184.48) -- (158.66,207.08) -- (124.73,207.08) -- (124.73,183.5) ;
\draw [color={rgb, 255:red, 159; green, 0; blue, 255 }  ,draw opacity=1 ] (253.5,130.75) .. controls (253.5,126.75) and (256.75,123.5) .. (260.75,123.5) .. controls (264.75,123.5) and (268,126.75) .. (268,130.75) .. controls (268,134.75) and (264.75,138) .. (260.75,138) .. controls (256.75,138) and (253.5,134.75) .. (253.5,130.75) -- cycle ;
\draw [color={rgb, 255:red, 159; green, 0; blue, 255 }  ,draw opacity=1 ] (104.5,260.75) .. controls (104.5,256.75) and (107.75,253.5) .. (111.75,253.5) .. controls (115.75,253.5) and (119,256.75) .. (119,260.75) .. controls (119,264.75) and (115.75,268) .. (111.75,268) .. controls (107.75,268) and (104.5,264.75) .. (104.5,260.75) -- cycle ;
\draw [color={rgb, 255:red, 159; green, 0; blue, 255 }  ,draw opacity=1 ] (124.5,241.75) .. controls (124.5,237.75) and (127.75,234.5) .. (131.75,234.5) .. controls (135.75,234.5) and (139,237.75) .. (139,241.75) .. controls (139,245.75) and (135.75,249) .. (131.75,249) .. controls (127.75,249) and (124.5,245.75) .. (124.5,241.75) -- cycle ;
\draw [color={rgb, 255:red, 159; green, 0; blue, 255 }  ,draw opacity=1 ] (233.5,240.75) .. controls (233.5,236.75) and (236.75,233.5) .. (240.75,233.5) .. controls (244.75,233.5) and (248,236.75) .. (248,240.75) .. controls (248,244.75) and (244.75,248) .. (240.75,248) .. controls (236.75,248) and (233.5,244.75) .. (233.5,240.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (274,214) -- (288.25,214) -- (288.25,247) -- (274,247) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (287.63,213.38) -- (287.63,227.63) -- (254.63,227.63) -- (254.63,213.38) -- cycle ;
